[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CreateParams

CreateParams - create parameters for this windowed class

## Declaration

Source position: controls.pp line 1839

`protected procedure TWinControl.CreateParams(`
`var Params: TCreateParams`
`); virtual;`

## Description

CreateParams - create parameters for this windowed class

Definition of parameters:

    TCreateParams = record
        Caption: PChar;
        Style: Cardinal;
        ExStyle: Cardinal;
        X, Y: Integer;
        Width, Height: Integer;
        WndParent: HWnd;
        Param: Pointer;
        WindowClass: TWndClass;
        WinClassName: array[0..63] of Char;
    End;

The latest version of this document can be found at lazarus-ccr.sourceforge.net .